Subject: categories: RE: Mac Lane's inclusions

From: "Robert W. McGrail" <[email-masked]>
Date: Fri, 16 Jul 1999 23:11:58 -0500

Colin,

Correct me if I am wrong, but it seems to me that every \tau-category is a 
category with inclusions.  Moreover, I recall a result by Freyd that every 
(sufficiently small? cartesian?) category is equivalent to a \tau-category. 
 The proof does not use choice.

In any event, see Categories, Allegories by Freyd and Scedrov for 
\tau-categories.  Hope this helps.

Bob McGrail

On Thursday, July 15, 1999 12:32 PM, Colin McLarty [SMTP:[email-masked]] 
wrote:
> This note gives an alternative characterization of "inclusions" in Mac
> Lane's sense; and proves every category with selected monics is 
equivalent
> to one with "inclusions". Some of it may have been known before and if so 
I
> would appreciate references.
>
> 	In a circular letter Saunders Mac Lane has suggested paying attention to
> "inclusions" in categorical set theory.  The main questions about this 
have
> general categorical answers as follows. A category has "selected monics" 
if
> for each object C, each equivalence class of monics to C has one selected
> representative. The selected monics are called "inclusions" if whenever
> C'>->C and C">->C' are selected, the composite C">->C is also selected.
>
> 	The following alternative characterization motivates the construction in
> the next theorem but is not actually used to prove it. Given monics i and 
j
> to a single object, with i<j, the monic h such that jh=i will be called 
the
> "transition monic" from i to j. (For e-mail convenience I write i<j to 
mean
> i is included in or equal to j.)
>
> Fact: In any category with selected monics, the selected monics are
> inclusions if and only if: for all selected monics i and j with i<j, the
> transition monic h is also selected.
>
> Proof: First suppose i:I>->C and j:J>->C are selected, and selected 
monics
> compose. The transition h must have some selected equivalent k:K>->J, and 
so
> jk is selected and equivalent to i, which implies jk=i and k=h so h is
> selected. Conversely suppose h:I>->J and j:J>->C are selected and 
transition
> monics between selected monics are selected. Then jh:I>->C has some 
selected
> equivalent m and for some iso g we have jhg=m. Thus hg is transition 
monic
> between the selected m and j, and so hg is selected. But hg is also
> equivalent to the selected h so hg=h and g is an identity. Thus jh=m is
> selected.
>
>
> 	In any topos with selected pullbacks we have selected monics, since for 
any
> equivalence class of monics we can take the selected pullback of "true"
> along the characteristic arrow. These need not be inclusions. However, we
> have:
>
> Theorem: Any category A with selected monics is equivalent to a category 
AI
> with inclusions.
> Proof: 	Let the objects of AI be the selected monics C>->B of A.  An AI
> arrow from C'>->B' to C>->B is simply an A arrow C'-->C. That is, AI 
arrows
> ignore the monics and just look at the domains. Obviously AI is 
equivalent
> to A and an arrow is monic in AI iff it is monic in A. As the selected
> monics to an AI  object C>->B we take those AI monics h
>
>                                h:C'>-------->C
>                                  v           v
>                                  |           |
>                                  |           |
>                                  v           v
>                                  B    =      B
>
> which lie over the same B and make the triangle commute in A. Clearly 
these
> compose, and each monic to C>->B in AI is equivalent to exactly one of 
these.
>
>         In particular, given any axiomatic theory of a topos with 
selected
> pullbacks: if the axioms are preserved by equivalence, then we can
> consistently add the assumption of inclusions. We can assume selected 
monics
> compose. Of course it remains to actually use this assumption to secure 
the
> advantages that Saunders sees for it.
>
>